> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ListItems

> Archive provider for the list of ListItems

## "ListItems"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.ListItemsProvider">SuperOffice.CRM.ArchiveLists.ListItemsProvider</see> inside NetServer's SODatabase assembly.

Archive provider for the list of ListItems

## Supported Entities

| Name      | Description |
| --------- | ----------- |
| "all"     | All         |
| "deleted" | Deleted     |

## Supported Columns

| Name                       | Restriction | Description                                                                             | OrderBy |
| -------------------------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows                 | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows                  | bool        | GetNone: Do not get any rows from the archive                                           |         |
| udlistDefinitionId         | int         | UDListDefinitionId                                                                      |         |
| listItemsId                | int         | ID: ID                                                                                  |         |
| listItemsName              | string      | Full name: Name                                                                         |         |
| listItemsRank              | int         | Rank: Rank                                                                              |         |
| listItemsTooltip           | string      | Description: Description                                                                |         |
| listItemsDeleted           | int         | Deleted: Deleted                                                                        |         |
| listItemsLocation          | bool        | Location: Location                                                                      |         |
| listItemsProbability       | int         | Probability: Probability                                                                |         |
| listItemsRecordType        | int         | Record type : Shows the record type                                                     |         |
| listItemsEmailTemplateType | *None*      | Template type: Shows the template type                                                  |         |

## Sample

```http! theme={null}
GET /api/v1/archive/ListItems?$select=udlistDefinitionId,listItemsName,listItemsTooltip
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [SuperOffice.WebApi.Data.ListItem](/en/api/reference/webapi/SuperOffice.WebApi.Data.ListItem.md)
- [Get List Item](/en/api/reference/restful/agent/mdo_agent/get-list-item.md)
- [Put Task List Item Headings For List Item](/en/api/reference/restful/rest/list_task/put-task-list-item-headings-for-list-item.md)
- [Get Task List Item Headings For List Item](/en/api/reference/restful/rest/list_task/get-task-list-item-headings-for-list-item.md)
- [Save Headings For List Item From List Definition](/en/api/reference/restful/rest/list_item/save-headings-for-list-item-from-list-definition.md)
- [Save Headings For List Item From List Name](/en/api/reference/restful/rest/list_item/save-headings-for-list-item-from-list-name.md)
